DSPROC_MULTI_ARRAY(3)

EXPERIMENTAL_FUNC
dsproc_multi_array - Process a Karma data structure.

SYNOPSIS
#include <karma_dsproc.h>

void dsproc_multi_array

(CONST multi_array *multi_desc, char *array_names[], unsigned int num_arrays, flag save_unproc_data, flag (*pre_process) (), flag (*process_array) (), flag (*post_process) () )

DESCRIPTION
Process a Karma data structure.

multi_desc
    The multi_array descriptor to process.

array_names
    The array names (general data structures) which are to be processed.

num_arrays
    The number of array names supplied. If this is 0, all array names are processed.

save_unproc_data
    If TRUE, then arrays with names which do not match are copied, rather than ignored.

pre_process
    The function which will process the input file prior to any general data structures being processed. The prototype function is <-dsproc_PROTO_pre_process->. If this returns FALSE further processing is aborted.

process_array
    The function which is called to process each general data structure. The prototype function is <-dsproc_PROTO_process_array->.

post_process
    The function which is called to process the multi_array descriptors prior to the output being saved/transmitted. The prototype function is <-dsproc_PROTO_post_process->. This routine will usually add history information and copy over history information from the input array.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/